#!/bin/sh
#
# Generate version.h.

if [ -f ../inc/version.h ] ; then
BUILD=`fgrep '#define BUILD' ../inc/version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
BUILD=`expr $BUILD + 1`
else
	BUILD=1
fi

cat >../inc/version.h <<EOF
/* Version information

   OperStats - Copyright (c) 2000 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

#define BUILD "$BUILD"

static char version[] = "$1";
static char build[] = "$BUILD";
static char compile_time[] = "`date | \
awk '{if (NF == 6) \
	 { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
	 { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`";

static char *infotext[] =
{
    "OperStats --",
    "Copyright (c) 2000 Darcy Grexton <cygnus@uniserve.ca>",
    " ",
    "This program is free software, you can redistribute it and/or",
    "modify it under the terms of the GNU General Public License as",
    "published by the Free Software Foundation; either version 1, or",
    "(at your option) any later version.",
    " ",
    "This program contains bits and pieces of code from several other",
    "programs, most notably Andy Church's (now under the care of",
    "Andrew Kempe) IRC Services package. It also contains bits from",
    "WreckedNet's Services, which I also maintain, and which also have",
    "a common history with Andy Church's IRC Services package. It wouldn't",
    "be fair to take credit for this entire program without acknowledging",
    "that 99% of the basic code that makes this program possible came from",
    "that program. - skold",
    0,
};
EOF
